gnutls_x509_ext_import_inhibit_anypolicy(3)

NAME
gnutls_x509_ext_import_inhibit_anypolicy - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_ext_import_inhibit_anypolicy(const gnutls_datum_t * ext, unsigned int * skipcerts);

ARGUMENTS

const gnutls_datum_t * ext
    the DER encoded extension data

unsigned int * skipcerts
    will hold the number of certificates after which anypolicy is no longer acceptable.

DESCRIPTION
This function will return certificate's value of SkipCerts, by reading the DER data of the Inhibit anyPolicy X.509 extension (2.5.29.54). The skipcerts value is the number of additional certificates that may appear in the path before the anyPolicy (GNUTLS_X509_OID_POLICY_ANY) is no longer acceptable.

RETURNS
zero, or a negative error code in case of parsing error. If the certificate does not contain the Inhibit anyPolicy extension GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

SINCE
3.6.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/